#include <config.h>
#include <stdio.h>
#include <assert.h>
#include <glthread/lock.h>
#include <gettext.h>
#include "i18n.h"

static void initialize(void)
{
	bindtextdomain(PACKAGE, LOCALEDIR);
	bindtextdomain("bison-runtime", BISON_LOCALEDIR);
}

void cdecl__init_i18n(void)
{
	gl_once_define(static, initialized);

	int err = glthread_once(&initialized, initialize);
	assert(err == 0);
}
